/**
 * Copyright (C) 2001  Miklos Reiter (see the file README for details on
 * how to contact me)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

package test;

// driver program to test the static parseVector3D method of Entity
// call with a String representing a Vector3D object of the form (x, y, z) as
// the first argument
// Miklos Reiter
// Modified 22-Mar-2001 James Kermode, to reflect moving parseVector3D
// from Entity to Vector3D class as a constructor Vector3D(String).

import java.text.ParseException;

import noope.core.Vector3D;

public class TestParseVector3D
{
    public static void main(String[] argv) throws ParseException
    {
	Vector3D v = new Vector3D("(1, 2, 3)");
	System.out.println(v.toString());
    }
}
