# Copyright (C) 2001  Miklos Reiter (see the file README for details on
# how to contact me)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#

# This program converts a table of java file names in ./src to a table
# having the following format:
# classname	java file	dep-file (./src/.../*.dep)

{
# create classname
# first remove first 6 characters (./src/) and last 5 characters (.java)
classname = substr($0, 7, length($0) - 11);
# now change /'s to .'s
gsub(/\//, ".", classname);

# create dep-filename
depfile = substr($0, 1, length($0) - 4) "dep";

# print classname, java file and dep-file
print classname, $0, depfile
}
